Loading...
Searching...
No Matches
QUnit::TestResultExceptionSubstring Class Reference

Class representing Exception of a particular type and substring for detail. More...

Inheritance diagram for QUnit::TestResultExceptionSubstring:
[legend]

## Additional Inherited Members

Public Member Functions inherited from QUnit::TestResultExceptionRegexp
bool | equals (QUnit::AbstractTestResult r)
| Equality operator.
Public Member Functions inherited from QUnit::TestResultExceptionType
| constructor (string exceptionType)
| creates the object from the exception arguments
bool | equals (QUnit::AbstractTestResult r)
| Equality operator.
string | toString ()
| returns a string describing the exception type
Public Member Functions inherited from QUnit::AbstractTestResult
Public Attributes inherited from QUnit::TestResultExceptionType
string | m_exceptionType
| corresponds to the `"err"` key of ExceptionInfo (the first value of a throw statement)
Public Attributes inherited from QUnit::AbstractTestResult
Protected Member Functions inherited from QUnit::TestResultExceptionType
| constructor (string exceptionType, string subType)
| private constructor for subclasses
Protected Attributes inherited from QUnit::TestResultExceptionRegexp

## Detailed Description

Class representing Exception of a particular type and substring for detail.